Fallout New Vegas

File information

Last updated

Original upload

Created by

Roy Batty - LuthienAnarion

Uploaded by

RoyBatterian

Virus scan

Safe to use

Tags for this mod

2717 comments

  1. RoyBatterian
    RoyBatterian
    • premium
    • 10,608 posts
    • 748 kudos
    Locked
    Sticky
    ATTENTION!

    The Bethesda.net and XBOX Game Pass versions of Fallout New Vegas (and Fallout 3) have been recompiled. This breaks most of the mods made in the last 10 years since NVSE will not work and no one will pick it up and make it work, let alone JIPLN, NVTF, NVAC, Johnny Guitar, Stewies Tweaks, etc. I will NOT support this version of the game either, so please do not ask. Refund the game and buy it from Steam or GoG if you want to use mods.
  2. RoyBatterian
    RoyBatterian
    • premium
    • 10,608 posts
    • 748 kudos
    Locked
    Sticky
    Please read the description before you post or make bug reports.

    The GoG version of the game has 4GB enabled by default. You do not need to patch it. However the patch supports making the GoG version load NVSE automatically.

    To test if the patch is working, install the latest JIP_LN plugin and type GetIsLAA in the console, if it returns 2 then it is working, if it returns 0 then the patch didn't work, if it returns 1 then the patch worked but you need to run the game as administrator for it to take effect.

    If you get a black screen with ENB, run your game as administrator. Install presets like you would for the vanilla game. Do not follow instructions for the old 4gb, they will not work.
    ENB now supports ENBoost without graphics hack, your mileage may vary.

    ini edits that can give additional help

    [General]
    bPreemptivelyUnloadCells=1

    [BackgroundLoad]
    bSelectivePurgeUnusedOnFastTravel=1

    Don't use NVSR, use NVTF.

    Use Mod Limit Fix.

    Do not use the heap replacer in NVSR (Stutter Remover), it will make your game crash more often with an out of memory error.

    To know it works, if you have NVSE installed open the console and type GetNVSEVersion, if it's non-zero then it worked.
  3. RoyBatterian
    RoyBatterian
    • premium
    • 10,608 posts
    • 748 kudos
    Locked
    Sticky
    Any complaints about this not working with a pirated version of the game will be met with a report to the staff.

    Comments not pertaining to the mod itself, or not pertaining to technical issues will be deleted.

    This is not a help desk for ENB, go to Boris' forum or the page for the ENB preset you downloaded.

    This is not a general help desk for your questions about other mods, your load order or software, your dogs flatulence issues, or whatever, go ask in the appropriate forums.
  4. luthienanarion
    luthienanarion
    • supporter
    • 3,789 posts
    • 212 kudos
    Locked
    Sticky
    There have been some errors with the patched executables generated by version 1.0 of this patcher, because I'm stupid sometimes.

    If you had troubles with the patcher or the executable it generates, restore your original executable (FalloutNV_unpatched.exe) or verify the game cache in Steam before running the shiny new 1.3 version.
  5. lanwrath
    lanwrath
    • supporter
    • 6 posts
    • 0 kudos
    Locked
    Sticky
    For anyone wondering how to get the linux patcher to run you need to make sure you have placed it in the directory that contains the FalloutNV.exe file. 
    Than in the terminal you need to give it execute permission chmod 777 or chmod +x FalloutNVPatcher. 
    Finally you need to run the file with the ./FalloutNVPatcher command.
  6. HighM4inten4nce
    HighM4inten4nce
    • supporter
    • 10 posts
    • 0 kudos
    Getting an error code 0xc0000007b upon running as Admin. Everything else checks out, and I did a reinstall of the base game the other day. 

    FIXED, apparently I had to use a different file compared to the one I normally used. No idea how that happened though.
  7. GirlReaper19
    GirlReaper19
    • member
    • 1 posts
    • 0 kudos
    So my Browser is telling me that the VC+++ cant be downloaded safely. Is it actually not safe or is my browser just stupid sry im rather new to modding so i legit dont know
    1. RoyBatterian
      RoyBatterian
      • premium
      • 10,608 posts
      • 748 kudos
      Your browser is stupid.
  8. savagegreywolf
    savagegreywolf
    • member
    • 146 posts
    • 5 kudos
    I specifically should use the x86 version of the redist, not the x64?
    1. RoyBatterian
      RoyBatterian
      • premium
      • 10,608 posts
      • 748 kudos
      Yes. But the latest version doesn't need it.
  9. WierdWalrus
    WierdWalrus
    • member
    • 13 posts
    • 0 kudos
    Can I delete the file after it has patched the game?
    1. RoyBatterian
      RoyBatterian
      • premium
      • 10,608 posts
      • 748 kudos
      Yes.
  10. Miger65456
    Miger65456
    • premium
    • 2 posts
    • 0 kudos
    Thanks :)
    1. RoyBatterian
      RoyBatterian
      • premium
      • 10,608 posts
      • 748 kudos
      You're welcome.
  11. CalebChambers
    CalebChambers
    • member
    • 83 posts
    • 0 kudos
    Is this the same thing????

    https://ntcore.com/?page_id=371
    1. AVeryUncreativeUsername
      AVeryUncreativeUsername
      • supporter
      • 1,789 posts
      • 102 kudos
      No. This patch was custom made for the game.
    2. CalebChambers
      CalebChambers
      • member
      • 83 posts
      • 0 kudos
      Is there really a difference  though?
    3. AVeryUncreativeUsername
      AVeryUncreativeUsername
      • supporter
      • 1,789 posts
      • 102 kudos
      The description will answer your questions.
    4. RoyBatterian
      RoyBatterian
      • premium
      • 10,608 posts
      • 748 kudos
      Yes, steam is protected, you can't just use that the game will not run.
  12. Rhreznor
    Rhreznor
    • member
    • 4 posts
    • 0 kudos
    Gog version suppose to have. It had NVSE as the only running mod. I put the patch in game file. Didn't say one was there. Ran it as admin and it and had to manual install then it was on. Restarted vortex. Still doesn't see it only NVSE. Guess its ready and I didn't get a flawed copy
    1. TrueCourierSix
      TrueCourierSix
      • premium
      • 536 posts
      • 114 kudos
      It's not supposed to appear anywhere, it's a patcher, not a launcher. You successfully patched your GOG copy to autoload NVSE when starting through FalloutNV.exe.
    2. Rhreznor
      Rhreznor
      • member
      • 4 posts
      • 0 kudos
      Gog suppose to have the 4gb patch but I put this in anyway. Hope it works out. Never have modded FNV. I have modded fallout 3 with Nexus. Im using Vortex for this one.
      Is there a way I can check if the patch is working? 
      How should I launch the game through Vortex? I havent added any mods yet Just starting with basics for now.
      Dell vostro 260
      win 7 pro
      i5 2500
      8 gig ram
      WD red 2 terabyte
      Asus 660 2 gig
      Have a 1050ti horded away to keep the mileage off it.
      You have problems with getting GPUs. Its worse here. This is Mindanao Philippines so its impossible to upgrade at this time.
      The Barret 50 is made in the jungle here. You should try a real one. Reason I said that is Islamic State and the army leveled Marawi. Thanks for replying.                                                                                                       


    3. RoyBatterian
      RoyBatterian
      • premium
      • 10,608 posts
      • 748 kudos
      If it autoloads xNVSE then it worked.
    4. Rhreznor
      Rhreznor
      • member
      • 4 posts
      • 0 kudos
      I run FNV gog through vortex how can I check it to see if it works
    5. RoyBatterian
      RoyBatterian
      • premium
      • 10,608 posts
      • 748 kudos
      Same way, if you run FalloutNV.exe directly and NVSE loads, then it worked.
    6. Rhreznor
      Rhreznor
      • member
      • 4 posts
      • 0 kudos
      any way I can see if the patcher is working? Im starting to mod it now.
  13. chairmanrockwell
    chairmanrockwell
    • member
    • 13 posts
    • 0 kudos
    My NVSE version is 5, does that mean the 4gb patcher worked? Sorry I'm new to all this
    1. AVeryUncreativeUsername
      AVeryUncreativeUsername
      • supporter
      • 1,789 posts
      • 102 kudos
      Update to xNVSE.

      https://github.com/xNVSE/NVSE/releases
  14. Amazonalpaca15
    Amazonalpaca15
    • member
    • 33 posts
    • 1 kudos
    should i use this if i installed ttw?
    1. AVeryUncreativeUsername
      AVeryUncreativeUsername
      • supporter
      • 1,789 posts
      • 102 kudos
      No. The TTW installer already does it for you.
    2. Amazonalpaca15
      Amazonalpaca15
      • member
      • 33 posts
      • 1 kudos
      thanks trooper
  15. jusfu
    jusfu
    • member
    • 1 posts
    • 0 kudos
    INVALID EXE VERSION: 96E972DD4784E286BDD384647DA61DB23C455D33
    not working for me
    1. AVeryUncreativeUsername
      AVeryUncreativeUsername
      • supporter
      • 1,789 posts
      • 102 kudos
      You'll need to buy the game.